> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manually Trigger Invoice Generation



## OpenAPI

````yaml POST /v1/c/invoice
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/invoice:
    post:
      tags:
        - invoice
      summary: Create invoice(s)
      operationId: create_invoices
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/inbound.invoice.CreateInvoices'
        required: true
      responses:
        '200':
          description: Nothing to create
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Id'
              example:
                - Inv_11111a3a-2b38-4689-a32d-14bf2e62b1a1
                - Inv_22221a3a-2b38-4689-a32d-14bf2e62b1a2
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    inbound.invoice.CreateInvoices:
      type: object
      description: |-
        Arguments for invoice(s) creation

        Invoice Item identifiers are optional: if this array
        isn't provided, all items that can currently be attached
        will be attached.

        The customer is optional: if not provided and if no list
        of items is provided, then all attachable items belonging
        to this wb_customer will be grouped into invoices.
      properties:
        contract_id:
          allOf:
            - $ref: '#/components/schemas/Id'
          nullable: true
        customer_id:
          allOf:
            - $ref: '#/components/schemas/Id'
          nullable: true
        invoice_item_ids:
          type: array
          items:
            $ref: '#/components/schemas/Id'
          description: |-
            optional list of invoice items to gather into one or
            several invoices (the invoices will be consistent: same
            contract, and items in automatic payment won't be mixed
            with items in manual payement)
          nullable: true
    Id:
      type: string
      description: >-
        Unique identifier of an object. Consists of object class prefix and a
        UUID
      example: Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````